{
	saved_FirstTime [1]

	Init[ ()
	{
		SetNationality(0);

		if (saved_FirstTime = 1)
		{
			PlayAnimation(7);
			SetHealth(256);
			GiveWeapon(43);
			SetRunning();

			saved_FirstTime = 0;
		}

		DropWeaponOnDeath(false);

	}]

	BattleStart[()
	{
		who = GetID();
		switch (who)
		{
			case "ameri1"
			{
				FollowPath( "ameripath1", 0);
				FollowPathCallback( 127, "Attack01");
			}
			case "ameri2"
			{
				FollowPath( "ameripath2", 0);
				FollowPathCallback( 127, "Attack01");
			}
	}]

	TalkToPlayer [()
	{
		Level.Log("Break `1");
		Level.saved_instruct_done = 1;
		Level.Log("Break `2");
		TurnTo( Level.GetPlayer());
		Level.Log("Break `3");
		PlayAnimation(7);
		Level.Log("Break `4");
		Level.GetPlayer().PlaySound(138,100);
		Level.Log("Break `5");
		Delay(4,10);
		Level.Log("Break `6");
		Level.GetEntity("ameri2").StandDown();
		Level.Log("Break `7");
		Level.GetEntity("gate1").ShoNuff();
		Level.Log("Break `8");
		Level.GetEntity("gate2").ShoNuff();
	}]

	Attack01[()
	{
		SetState_Patrol(0);
		SetAttackDistance(13, 5);
		SetLineOfSight(0);
		gerry = GetID();
	}]

	CheckDelay[()
	{
		if((Level.saved_Enable_PakInstruct = 1) and (Level.GetEntity("gerry1").IsDead()) and (Level.GetEntity("gerry2").IsDead()) and (Level.GetEntity("gerry3").IsDead()) and (Level.GetEntity("gerry4").IsDead()) and (Level.GetEntity("gerry5").IsDead()))
		{
			Delay(0, 150);
		}
		else
		{
			Delay(2, 200);
		}

	}]


	DelayReached[ (dy)
	{
		if(dy = 10)
		{
			Level.AdvanceObjectives(0);
		}
		if(dy = 150)
		{
			TalkToPlayer();
		}
		if(dy = 200)
		{
			CheckDelay();
		}
	}]

}